Bug 80288 - Anaconda power save Problem and Workaround
Anaconda power save Problem and Workaround
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-23 22:37 EST by Jeroen C. van Gelderen
Modified: 2007-04-18 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-27 12:08:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen C. van Gelderen 2002-12-23 22:37:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.22; Mac_PowerPC)

Description of problem:
Clean full (all packages) install of Phoebe on new IBM Thinkpad A31 (ATI Radeon 7500) 
from tested ISO images. After a 'while' the screen blanks (screen goes black but backlight 
stays on) while the install process continues. Pressing keys or wiggling the mouse does 
not restore the anaconda screen, the screen remains completely black.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run installer.
2. Wait while not touching keyboard or mouse.
    

Actual Results:  Screen goes blank. Wiggling mouse or pressing keys does not restore 
the screen. It remains completely black but backlight is on. Switching to virtual terminal 
(Ctrl+Alt+F1) and back to X does not resolve the issue.

Expected Results:  Screen unblanks, contents are restored.

Additional info:

One can work around the problem by pressing Fn+F7 twice or thrice. This switches the 
computer to the external monitor output and back to the built-in screen, causing the 
display to be re-initialized. Installation can then be completed succesfully.
Comment 1 Bill Nottingham 2002-12-24 16:22:34 EST
What happens if you boot the installer with acpi=off?
Comment 2 Bill Nottingham 2002-12-24 16:45:06 EST
Never mind the boot parameters, there's no ACPI in the boot kernel.
Comment 3 Michael Fulbright 2002-12-27 10:49:52 EST
Do you have any power saving options enabled in your BIOS?
Comment 4 Jeroen C. van Gelderen 2003-01-14 23:13:25 EST
Yes, powersaving options were enabled in the BIOS. One cannot choose between APM or ACPI. I have now disabled all powersaving features. Having run the machine for a couple of weeks the following is evident:1. ACPI on this machine is completely broken. I'm now booting with "acpi=off". With ACPI on, the problem is that upon receving ACPI event, the kernel gets itself in an endless loop, spamming /var/log/messages. Below you can see the startup ACPI messages followed by a snippet of the endless loop.2. Booting with ACPI is off apparently gets us APM support. This doesn't work well either in that the machine puts the /screen/ to sleep but does not seem to properly re-initialize it upon wakeup. The only remedy here is to close the lid (putting the whole machine to sleep) and re-open it (causing a complete system wakeup), which gets the screen re-drawn.(It would appear that the backlight is turned on and off correctly but that some kind of a re-draw is required to turn the screen from nicely back-lit black back to a something that looks like X.)HTH[...]Dec 23 13:03:35 dunno kernel: ACPI: Core Subsystem version [20021205]Dec 23 13:03:35 dunno rc: Starting keytable:  succeededDec 23 13:03:35 dunno kernel:     ACPI-0263: *** Info: GPE Block0 defined as GPE0 to GPE15Dec 23 13:03:35 dunno kernel:     ACPI-0263: *** Info: GPE Block1 defined as GPE16 to GPE31Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.FDC_._INI] (Node c1ad4500), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__._INI] (Node c1adc3c0), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BAT0._STA] (Node c1adcbe0), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-0080: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BAT0._STA] (Node c1adcbe0), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BAT1._STA] (Node c1adcd60), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-0080: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BAT1._STA] (Node c1adcd60), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BLID] (Node c1ad5e60), AE_NOT_EXISTDec 23 13:03:35 dunno random: Initializing random number generator:  succeededDec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BLII] (Node c1ad5e40), AE_NOT_EXISTDec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BLPC] (Node c1ad5e00), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.IDE0.PRIM.SLAV._STA] (Node c1ad4460), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-0080: *** Error: Method execution failed [\_SB_.PCI0.IDE0.PRIM.SLAV._STA] (Node c1ad4460), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BRID] (Node c1ad4280), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BRII] (Node c1ad4260), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BRPC] (Node c1ad4220), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.IDE0.SCND.MSTR._STA] (Node c1ad44a0), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-0080: *** Error: Method execution failed [\_SB_.PCI0.IDE0.SCND.MSTR._STA] (Node c1ad44a0), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BLID] (Node c1ad5e60), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BLII] (Node c1ad5e40), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BLPC] (Node c1ad5e00), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BSTA] (Node c1ad5c00), AE_NOT_EXISTDec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_SB_.PCI0.USB0.URTH.UNST._STA] (Node c1ad58c0), AE_NOT_EXISTDec 23 13:03:36 dunno pcmcia: Starting PCMCIA services:Dec 23 13:03:36 dunno kernel:     ACPI-0080: *** Error: Method execution failed [\_SB_.PCI0.USB0.URTH.UNST._STA] (Node c1ad58c0), AE_NOT_EXISTDec 23 13:03:36 dunno kernel: ACPI: Subsystem enabled[...]Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXISTDec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while evaluating method [_L18] for GPE[18]Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXISTDec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while evaluating method [_L18] for GPE[18]Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXISTDec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while evaluating method [_L18] for GPE[18]Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXISTDec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while evaluating method [_L18] for GPE[18]Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed [\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXISTDec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while evaluating method [_L18] for GPE[18]
Comment 5 Jeroen C. van Gelderen 2003-01-14 23:22:35 EST
Yes, powersaving options were enabled in the BIOS. One cannot choose between 
APM or ACPI. I have now disabled all powersaving features. Having run the 
machine for a couple of weeks the following is evident:

1. ACPI on this machine is completely broken. I'm now booting with "acpi=off". 
With ACPI on, the problem is that upon receving ACPI event, the kernel gets 
itself in an endless loop, spamming /var/log/messages. Below you can see the 
startup ACPI messages followed by a snippet of the endless loop.

2. Booting with ACPI is off apparently gets us APM support. This doesn't work 
well either in that the machine puts the /screen/ to sleep but does not seem to 
properly re-initialize it upon wakeup. The only remedy here is to close the lid 
(putting the whole machine to sleep) and re-open it (causing a complete system 
wakeup), which gets the screen re-drawn.

(It would appear that the backlight is turned on and off correctly but that 
some kind of a re-draw is required to turn the screen from nicely back-lit 
black back to a something that looks like X.)

HTH

[...]
Dec 23 13:03:35 dunno kernel: ACPI: Core Subsystem version [20021205]
Dec 23 13:03:35 dunno rc: Starting keytable:  succeeded
Dec 23 13:03:35 dunno kernel:     ACPI-0263: *** Info: GPE Block0 defined as 
GPE0 to GPE15
Dec 23 13:03:35 dunno kernel:     ACPI-0263: *** Info: GPE Block1 defined as 
GPE16 to GPE31
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.FDC_._INI] (Node c1ad4500), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__._INI] (Node c1adc3c0), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BAT0._STA] (Node c1adcbe0), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-0080: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BAT0._STA] (Node c1adcbe0), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BAT1._STA] (Node c1adcd60), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-0080: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BAT1._STA] (Node c1adcd60), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BLID] (Node c1ad5e60), AE_NOT_EXIST
Dec 23 13:03:35 dunno random: Initializing random number generator:  succeeded
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BLII] (Node c1ad5e40), AE_NOT_EXIST
Dec 23 13:03:35 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BLPC] (Node c1ad5e00), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.IDE0.PRIM.SLAV._STA] (Node c1ad4460), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-0080: *** Error: Method execution failed 
[\_SB_.PCI0.IDE0.PRIM.SLAV._STA] (Node c1ad4460), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BRID] (Node c1ad4280), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BRII] (Node c1ad4260), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BRPC] (Node c1ad4220), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.IDE0.SCND.MSTR._STA] (Node c1ad44a0), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-0080: *** Error: Method execution failed 
[\_SB_.PCI0.IDE0.SCND.MSTR._STA] (Node c1ad44a0), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BLID] (Node c1ad5e60), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BLII] (Node c1ad5e40), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BLPC] (Node c1ad5e00), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BSTA] (Node c1ad5c00), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_SB_.PCI0.USB0.URTH.UNST._STA] (Node c1ad58c0), AE_NOT_EXIST
Dec 23 13:03:36 dunno pcmcia: Starting PCMCIA services:
Dec 23 13:03:36 dunno kernel:     ACPI-0080: *** Error: Method execution failed 
[\_SB_.PCI0.USB0.URTH.UNST._STA] (Node c1ad58c0), AE_NOT_EXIST
Dec 23 13:03:36 dunno kernel: ACPI: Subsystem enabled

[...]

Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXIST
Dec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while 
evaluating method [_L18] for GPE[18]
Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXIST
Dec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while 
evaluating method [_L18] for GPE[18]
Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXIST
Dec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while 
evaluating method [_L18] for GPE[18]
Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXIST
Dec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while 
evaluating method [_L18] for GPE[18]
Dec 23 23:43:56 dunno kernel:     ACPI-1103: *** Error: Method execution failed 
[\_GPE._L18] (Node c1ad4ce0), AE_NOT_EXIST
Dec 23 23:43:56 dunno kernel:     ACPI-0572: *** Error: AE_NOT_EXIST while 
evaluating method [_L18] for GPE[18]
Comment 6 Michael Fulbright 2003-01-30 15:28:22 EST
Have you been able to try this with the second Pheoebe beta?
Comment 7 Michael Fulbright 2003-02-27 12:08:24 EST
Closing due to inactivity - please reopen if you have additional information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.